import React, { useEffect, useState } from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
const handleTouchMove = (e) => {
    e.stopPropagation();
    e.preventDefault();
};
const prefix = 'hui-action-sheet';
const HuiActionSheet = props => {
    const { className = '', style, onClose, visible = false, title, cancelText = '取消', children, } = props;
    const [isOpened, setIsOpened] = useState(visible);
    useEffect(() => {
        setIsOpened(visible);
        if (!visible) {
            doClose();
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [visible]);
    const rootClass = cx(className, prefix, {
        [`${prefix}-active`]: isOpened,
    });
    const doClose = (e) => {
        if ('visible' in props && typeof onClose === 'function') {
            onClose(e);
        }
    };
    const handleClose = e => {
        setIsOpened(false);
        doClose(e);
    };
    return (React.createElement(View, { className: rootClass, style: style, onTouchMove: handleTouchMove },
        React.createElement(View, { onClick: handleClose, className: `${prefix}-mask` }),
        React.createElement(View, { className: `${prefix}-container` },
            React.createElement(View, { className: `${prefix}-content` },
                title && React.createElement(View, { className: `${prefix}-header` }, title),
                React.createElement(View, { className: `${prefix}-body` }, children)),
            cancelText && (React.createElement(View, { className: `${prefix}-footer`, onClick: handleClose }, cancelText)))));
};
export default HuiActionSheet;
//# sourceMappingURL=ActionSheet.js.map