import React from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
const prefix = 'hui-action-sheet';
const Item = props => {
    const { onClick, className, hasActive = true, disabled = false, style, children, } = props;
    const rootClass = cx(`${prefix}-item`, className, {
        [`${prefix}-item-has-active`]: hasActive && !disabled,
        [`${prefix}-item-disabled`]: disabled,
    });
    const handleClick = e => {
        if (typeof onClick === 'function' && !disabled) {
            onClick(e);
        }
    };
    return (React.createElement(View, { onClick: handleClick, className: rootClass, style: style }, children));
};
export default Item;
//# sourceMappingURL=Item.js.map