import React from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
import { formatValue } from '../../utils';
const HuiBadge = props => {
    const { showZero = false, dot = false, type = 'default', value = '', maxValue = 999, children, className = '', style, } = props;
    const val = formatValue(value, maxValue);
    const isShow = !(val === '' || (+val === 0 && !showZero));
    const numCls = cx('hui-badge-num', { smaller: typeof value === 'string' }, { 'single-num': `${val}`.length === 1 });
    return (React.createElement(View, { style: style, className: cx(`hui-badge ${type} ${className}`, { fixed: !!children }) },
        children,
        dot ? (React.createElement(View, { className: 'hui-badge-dot' })) : (isShow && React.createElement(View, { className: numCls }, val))));
};
export default HuiBadge;
//# sourceMappingURL=Badge.js.map