import React, { useEffect, useState } from 'react';
import { CheckboxGroupContextProvider } from './context';
const HuiCheckboxGroup = props => {
    const { value, onChange, disabled = false } = props;
    const [checkedList, setCheckedList] = useState([]);
    useEffect(() => {
        if (value) {
            setCheckedList(value);
        }
    }, [value]);
    const handleChange = (checkedValues) => {
        if (!disabled) {
            setCheckedList(checkedValues);
            onChange(checkedValues);
        }
    };
    return (React.createElement(CheckboxGroupContextProvider, { value: {
            onChange: handleChange,
            disabled,
            checkedList,
        } }, props.children));
};
export default HuiCheckboxGroup;
//# sourceMappingURL=Group.js.map