import React from 'react';
import { View, Image } from '@tarojs/components';
import { pxTransform } from '../../utils';
import HuiIcon from '../Icon/Icon';
const defaultProps = {
    onClose: () => void 0,
};
const Dialog = props => {
    const { visible, image, title, content, closable, maskClosable, closeType, showIcon, showFooter, style, className = '', onClose = defaultProps.onClose, } = props;
    const handleMaskClick = () => {
        if (maskClosable) {
            onClose();
        }
    };
    return (React.createElement(View, { className: `hui-dialog ${visible ? 'visible' : ''} ${className}`, style: style },
        React.createElement(View, { className: 'hui-dialog-mask', onClick: handleMaskClick }),
        React.createElement(View, { className: 'hui-dialog-wrapper' },
            React.createElement(View, { className: 'hui-dialog-container' },
                image && (React.createElement(Image, { className: 'hm-image', src: image, mode: 'aspectFill' })),
                !image && (React.createElement(View, { className: 'header' }, closable && closeType === 'top' && (React.createElement(View, { className: 'close-btn-top', onClick: onClose },
                    React.createElement(HuiIcon, { name: '006-close3', size: 14, style: { position: 'relative', left: pxTransform(-5) } }))))),
                showIcon && !!props.renderIcon && (React.createElement(View, { className: 'icon-area' }, props.renderIcon)),
                title && (React.createElement(View, { className: 'title-area' }, title)),
                content && (React.createElement(View, { className: 'content-area' }, content)),
                showFooter && !!props.renderFooter && (React.createElement(View, { className: 'footer-area' }, props.renderFooter))),
            closable && closeType === 'bottom' && (React.createElement(View, { className: 'close-btn-bottom cross', onClick: onClose },
                React.createElement(HuiIcon, { name: '005-close2', color: 'white', size: 28 }))))));
};
Dialog.defaultProps = {
    visible: false,
    showIcon: true,
    maskClosable: true,
    closable: true,
    closeType: 'top',
    showFooter: true,
};
export default Dialog;
//# sourceMappingURL=Dialog.js.map