/* eslint-disable @typescript-eslint/no-empty-function */
import React from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
import { pxTransform } from '../../utils';
const HuiDivider = props => {
    const { type = 'horizontal', margin, height, hairline, className = '', style: newStyle, } = props;
    const style = Object.assign({ margin: `0 ${margin && pxTransform(margin)}`, height: height && pxTransform(height) }, newStyle);
    const dividerType = type === 'vertical'
        ? 'vertical'
        : 'horizontal';
    const hairlineClsName = `${dividerType}-hairline`;
    return (React.createElement(View, { className: cx('hui-divider', `hui-divider-${dividerType}`, `${className}`, { [hairlineClsName]: hairline }), style: style }));
};
HuiDivider.defaultProps = {
    type: 'horizontal',
    hairline: false,
};
export default HuiDivider;
//# sourceMappingURL=Divider.js.map