import React from 'react';
import { View } from '@tarojs/components';
import { pxTransform } from '../../utils';
import './Icon.scss';
const HuiIcon = ({ color, name, size = 14, onClick = () => void 0, style: newStyle, className = '', prefixClass, }) => {
    const style = Object.assign({ color: color || 'inherit', fontSize: pxTransform(size) }, newStyle);
    const iconClassName = prefixClass
        ? `${prefixClass} ${prefixClass}-${name} ${className}`
        : `hui-icons hui-icon-${name} ${className}`;
    return (React.createElement(View, { className: iconClassName, style: style, onClick: () => onClick() }));
};
export default HuiIcon;
//# sourceMappingURL=Icon.js.map