/* eslint-disable @typescript-eslint/no-empty-function */
import React from 'react';
import { View, Input } from '@tarojs/components';
import HuiIcon from '../Icon';
const HuiInput = props => {
    const { errorMsg, divider, onlyClick, value, type, placeholder, arrow, disabled, label, className = '', style, onClick, } = props;
    const labelDom = label ? React.createElement(View, { className: 'label' }, label) : null;
    // 输入框和只用来展示的div
    const inputDom = onlyClick || disabled ? React.createElement(View, { className: `display-area ${value ? '' : 'none-value'}` }, value || placeholder) : React.createElement(Input, { value: value, className: 'input', type: type, placeholder: placeholder, placeholderClass: 'input-item-placeholder', focus: props.focus, disabled: disabled, adjustPosition: props.adjustPosition, confirmType: props.confirmType || 'done', maxlength: props.maxLength || 140, onInput: props.onInput || (() => { }), onBlur: props.onBlur || (() => { }), onFocus: props.onFocus || (() => { }), onConfirm: props.onConfirm || (() => { }), onKeyboardHeightChange: props.onKeyboardHeightChange || (() => { }) });
    // input右侧箭头是否展示
    const inputArrayDom = arrow ? React.createElement(HuiIcon, { name: '012-right', style: {
            marginLeft: '10px',
        } }) : null;
    // 分割线是否展示 & 分割线颜色
    const divideLineDom = errorMsg || divider ? (React.createElement(View, { className: `divider-line ${errorMsg ? 'with-error' : ''}` },
        React.createElement(View, { className: 'line' }))) : null;
    // 错误信息是否展示
    const errorMsgDom = errorMsg ? React.createElement(View, { className: 'error-wrapper' },
        React.createElement(View, { className: 'error-msg-wrapper' }, errorMsg)) : null;
    return (React.createElement(View, { style: style, className: `hui-input ${className} ${disabled ? 'disabled' : ''}` },
        React.createElement(View, { className: 'input-wrapper', style: props.style, 
            // eslint-disable-next-line @typescript-eslint/no-empty-function
            onClick: onlyClick && !disabled && onClick ? onClick : () => { } },
            labelDom,
            React.createElement(View, { className: 'input-content' },
                inputDom,
                props.unit ? (React.createElement(View, { className: 'unit' }, props.unit)) : null),
            inputArrayDom),
        divideLineDom,
        errorMsgDom));
};
export default HuiInput;
//# sourceMappingURL=Input.js.map