var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import cx from 'classnames';
import { Block, View } from '@tarojs/components';
const HuiListItem = props => {
    const { avatar, title, description, tips, icon, border = true, children, className = '', style } = props, rest = __rest(props, ["avatar", "title", "description", "tips", "icon", "border", "children", "className", "style"]);
    return (React.createElement(View, Object.assign({ className: `hui-list-item ${className}`, style: style }, rest),
        React.createElement(View, { className: cx('hui-list-item-inner-wrapper', { 'with-border': border }) }, !children
            ? (React.createElement(Block, null,
                avatar && React.createElement(View, { className: 'hui-list-item-avatar' }, avatar),
                React.createElement(View, { className: 'hui-list-item-content' },
                    React.createElement(View, { className: 'hui-list-item-title' }, title),
                    description && React.createElement(View, { className: 'hui-list-item-description' }, description)),
                tips && (React.createElement(View, { className: 'hui-list-item-tips' }, tips)),
                icon && (React.createElement(View, { className: 'hui-list-item-icon' }, icon))))
            : children)));
};
export default HuiListItem;
//# sourceMappingURL=ListItem.js.map