import { View, Image, Block } from '@tarojs/components';
import classname from 'classnames';
import React from 'react';
const LOADER_URL = 'https://r.kezaihui.com/loading-storehome-20191120001.gif';
const prefix = 'hui-loader';
const Loader = props => {
    const { className = '', loading = false, style, tip = '加载中…', type = 'page', reachedBottom = false, reachedBottomText = '- 到底啦 -', onClick, children, } = props;
    const child = children;
    const loadingClassName = classname(prefix, className, {
        'loader-page': type === 'page',
        'loader-bottom': type === 'bottom',
        'loader-module': type === 'module',
    });
    const loadingElement = (React.createElement(View, { className: loadingClassName, style: style, onClick: onClick },
        type !== 'bottom' && React.createElement(View, { className: `${prefix}-padding` }),
        type !== 'bottom' && React.createElement(Image, { src: LOADER_URL, className: `${prefix}-image` }),
        React.createElement(View, { className: `${prefix}-tip` }, tip)));
    const bottomContent = !reachedBottom ? null : (React.createElement(View, { className: loadingClassName, style: style, onClick: onClick },
        React.createElement(View, { className: `${prefix}-tip` }, reachedBottomText)));
    if (type === 'bottom') {
        return (React.createElement(Block, null,
            child,
            loading ? loadingElement : bottomContent));
    }
    return loading ? loadingElement : child;
};
export default Loader;
//# sourceMappingURL=Loader.js.map