import React from 'react';
import { View } from '@tarojs/components';
import cx from 'classnames';
import './Mask.scss';
const HuiMask = props => {
    const { visible, zIndex, closeble = true, duration, style, onClose, children } = props;
    const handleClick = () => {
        if (!closeble || !onClose) {
            return;
        }
        onClose();
    };
    return (React.createElement(View, { onClick: handleClick, className: cx('.hui-mask', { '.hui-mask-visible': visible }), style: Object.assign({ zIndex, transitionDuration: typeof (duration) === 'number' ? `${duration}s` : duration }, style) }, visible ? children : ''));
};
export default HuiMask;
//# sourceMappingURL=Mask.js.map