var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { View } from '@tarojs/components';
import React from 'react';
import { pxTransform } from '../../utils';
import HuiDivider from '../Divider';
import HuiIcon from '../Icon';
import HuiPopup from '../Popup';
const Modal = props => {
    const { title, contentClassName, contentStyle, style, className = '', children, onClose } = props, rest = __rest(props, ["title", "contentClassName", "contentStyle", "style", "className", "children", "onClose"]);
    return (React.createElement(HuiPopup, Object.assign({ position: 'bottom', onClose: onClose, className: className, style: Object.assign({ borderRadius: `${pxTransform(20)} ${pxTransform(20)} 0 0` }, style) }, rest),
        React.createElement(View, { className: 'hui-modal' },
            React.createElement(View, { className: 'hui-modal-header' },
                React.createElement(View, { className: 'hui-modal-title' }, title),
                React.createElement(View, { className: 'hui-modal-close-icon', onClick: onClose },
                    React.createElement(HuiIcon, { name: '006-close3', size: 18, color: 'inherit' }))),
            React.createElement(HuiDivider, null),
            React.createElement(View, { className: `hui-modal-body ${contentClassName}`, style: contentStyle }, children))));
};
export default Modal;
//# sourceMappingURL=Modal.js.map