var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { View } from '@tarojs/components';
import cx from 'classnames';
import React from 'react';
const Popup = props => {
    const { wapperClassName = '', wrapperClassName = '', className = '', style, visible, position = 'center', maskClosable = true, onClose, children } = props, rest = __rest(props, ["wapperClassName", "wrapperClassName", "className", "style", "visible", "position", "maskClosable", "onClose", "children"]);
    const handleClose = () => {
        if (!maskClosable || !onClose) {
            return;
        }
        onClose();
    };
    const handleTouchMove = e => {
        e.stopPropagation();
    };
    return (React.createElement(View, { style: style, className: cx(`hui-popup ${className || wrapperClassName || wapperClassName}`, { 'popup-container-active': visible }, { 'no-animation': position === 'center' }) },
        React.createElement(View, { className: 'popup-mask', onTouchMove: handleTouchMove, onClick: handleClose }),
        React.createElement(View, Object.assign({ className: `popup-content ${position}`, onTouchMove: handleTouchMove }, rest), children)));
};
export default Popup;
//# sourceMappingURL=Popup.js.map