import React from 'react';
import { View } from '@tarojs/components';
import { HuiRadioGroupContextProvider } from './context';
const defaultProps = {
    onChange: () => undefined,
};
const HuiRadioGroup = props => {
    const { className = '', onChange = defaultProps.onChange, disabled = false, children, } = props;
    const onRadioChange = v => {
        onChange(v);
    };
    return (React.createElement(HuiRadioGroupContextProvider, { value: {
            onChange: onRadioChange,
            disabled,
        } },
        React.createElement(View, Object.assign({}, props, { className: `hui-radio-group ${className}` }), children)));
};
export default HuiRadioGroup;
//# sourceMappingURL=Group.js.map