import React from 'react';
import { View } from '@tarojs/components';
import cx from 'classnames';
import { pxTransform } from '../../utils';
import RadioGroupContext from './context';
const DEFAULT_ICON_SIZE = 20;
const HuiRadio = props => {
    const { className = '', style, value, checked = false, disabled = false, color, size = DEFAULT_ICON_SIZE, children, onClick, } = props;
    const context = React.useContext(RadioGroupContext);
    const finalDisabled = (context === null || context === void 0 ? void 0 : context.disabled) || disabled;
    const handleChange = v => {
        var _a;
        if (finalDisabled) {
            return;
        }
        onClick === null || onClick === void 0 ? void 0 : onClick(v);
        (_a = context === null || context === void 0 ? void 0 : context.onChange) === null || _a === void 0 ? void 0 : _a.call(context, v);
    };
    const hasChildren = typeof children !== 'undefined';
    const iconStyle = {
        width: pxTransform(size),
        height: pxTransform(size),
    };
    const iconInnerStyle = {
        backgroundColor: color,
        height: pxTransform(Math.round(size / 2)),
        width: pxTransform(Math.round(size / 2)),
    };
    return (React.createElement(View, Object.assign({}, props, { className: cx(`hui-radio ${className || ''}`, { 'disabled': disabled }), style: style, onClick: () => handleChange(value) }),
        React.createElement(View, { className: cx('hui-radio-icon', { 'checked': checked, 'disabled': disabled }), style: iconStyle },
            React.createElement(View, { className: 'inner', style: iconInnerStyle })),
        hasChildren && (React.createElement(View, { className: 'hui-radio-content' }, children))));
};
export default HuiRadio;
//# sourceMappingURL=Radio.js.map