import { View } from '@tarojs/components';
import React, { useState, createRef } from 'react';
import Checkbox from '../../Checkbox';
import Radio from '../../Radio';
import List from '../../List';
const RadioGroup = Radio.Group;
const ListItem = List.Item;
const CheckboxGroup = Checkbox.Group;
const Menu = props => {
    const { options, value, color, multiSelect = false, onChange } = props;
    const handleChange = (v) => {
        if (!onChange) {
            return;
        }
        onChange(v);
    };
    const [refList, setRefList] = useState([]);
    React.useEffect(() => {
        setRefList(refs => (Array(options.length).fill(0).map((_, i) => refs[i] || createRef())));
    }, [options.length]);
    return (React.createElement(View, { className: 'hui-select-menu' }, multiSelect ? (React.createElement(CheckboxGroup, { value: value, onChange: checkedList => handleChange(Array.from(new Set(checkedList))) }, options.map((item, index) => (React.createElement(ListItem, { key: item.value, title: item.label, icon: (React.createElement(Checkbox, { ref: refList[index], color: color, key: item.value, value: `${item.value}`, checked: value.includes(item.value) })), onClick: () => { var _a, _b; return (_b = (_a = refList[index]) === null || _a === void 0 ? void 0 : _a.current) === null || _b === void 0 ? void 0 : _b.toggle(); } }))))) : (React.createElement(RadioGroup, null, options.map(item => (React.createElement(ListItem, { key: item.value, title: item.label, icon: React.createElement(Radio, { color: color, key: item.value, value: item.value, checked: value.includes(item.value) }), onClick: () => handleChange([item.value]) })))))));
};
export default Menu;
//# sourceMappingURL=Menu.js.map