import { View } from '@tarojs/components';
import React, { useEffect, useState } from 'react';
import Badge from '../Badge';
import HuiButton from '../Button/Button';
import Loader from '../Loader';
import Modal from '../Modal';
import Menu from './Menu/Menu';
import SideMenu from './SideMenu/SideMenu';
import { pxTransform } from '../../utils';
const SideMenuItem = SideMenu.Item;
const Select = props => {
    var _a;
    const { visible, title, value, options, color, contentHeight, loading = false, level = 2, multiSelect = false, showBadge = false, confirmText = '确定', style, className = '', onClose, onChange, onConfirm, onChangeSideMenu, } = props;
    const [activeMenu, setActiveMenu] = useState(0);
    const [optionValue, setOptionValue] = useState(value || []);
    useEffect(() => {
        if (!value) {
            return;
        }
        setOptionValue(value);
    }, [value, visible]);
    useEffect(() => {
        var _a;
        if (level === 1) {
            return;
        }
        const initActiveMenu = (_a = options.find(item => { var _a; return (_a = item.children) === null || _a === void 0 ? void 0 : _a.some(ic => value === null || value === void 0 ? void 0 : value.includes(ic.value)); })) === null || _a === void 0 ? void 0 : _a.value;
        const defalutActiveMenu = options.length > 0 ? options[0].value : 0;
        setActiveMenu(initActiveMenu !== null && initActiveMenu !== void 0 ? initActiveMenu : defalutActiveMenu);
    }, [level, options, value, visible]);
    const handleChangeSideMenu = v => {
        if (v !== activeMenu) {
            setActiveMenu(v);
            onChangeSideMenu && onChangeSideMenu(v);
        }
    };
    const handleChangeOption = v => {
        setOptionValue(v);
        onChange && onChange(v);
    };
    const getBadgeNumber = list => list === null || list === void 0 ? void 0 : list.map(o => optionValue.includes(o.value)).filter(o => !!o).length;
    const menuOptions = level === 2
        ? ((_a = options.find(item => item.value === activeMenu)) === null || _a === void 0 ? void 0 : _a.children) || []
        : options;
    return (React.createElement(Modal, { visible: visible, title: title, className: className, style: style, onClose: onClose },
        React.createElement(View, { className: 'hui-select' },
            React.createElement(View, { className: 'hui-select-body', style: {
                    height: contentHeight && pxTransform(contentHeight) || 'unset',
                } },
                level === 2 && (React.createElement(SideMenu, { indicatorColor: color, active: activeMenu, onChange: v => handleChangeSideMenu(v) }, options.map(item => (React.createElement(SideMenuItem, { key: item.value, value: item.value }, showBadge && multiSelect ? (React.createElement(Badge, { value: getBadgeNumber(item.children) === 0
                        ? ''
                        : getBadgeNumber(item.children) }, item.label)) : (item.label)))))),
                React.createElement(Loader, { loading: loading, type: 'module', style: { height: 'unset' } },
                    React.createElement(Menu, { color: color, multiSelect: multiSelect, options: menuOptions, value: optionValue, onChange: handleChangeOption }))),
            React.createElement(View, { className: 'hui-select-footer' },
                React.createElement(HuiButton, { block: true, size: 'large', color: color, disabled: optionValue.length === 0, onClick: () => onConfirm && onConfirm(optionValue) }, confirmText)))));
};
export default Select;
//# sourceMappingURL=Select.js.map