import { Block, Swiper, SwiperItem, View, } from '@tarojs/components';
import React, { useState } from 'react';
import { pxTransform } from '../../utils';
import HIcon from '../Icon';
import HImage from '../Image';
import './Share.scss';
const ShareSwiper = ({ urlList = [], style, className = '', handleChange, }) => {
    const [current, setCurrent] = useState(0);
    const onChange = (index) => {
        setCurrent(index);
        handleChange(index);
    };
    return (React.createElement(Swiper, { style: style, previousMargin: pxTransform(24), nextMargin: pxTransform(24), className: `share-swiper ${className}` }, urlList.map((item, index) => (React.createElement(SwiperItem, { key: index, className: 'swiper-item', onClick: () => onChange(index) },
        React.createElement(View, { className: `item ${index === current ? 'current' : ''}` },
            React.createElement(HImage, { className: 'post-image', src: item, width: 260, height: 360, mode: 'aspectFill' }),
            index === current && (React.createElement(Block, null,
                React.createElement(View, { className: 'icon' },
                    React.createElement(HIcon, { name: '024-check', color: '#fff', size: 16 })),
                React.createElement(View, { className: 'triangle' })))))))));
};
export default ShareSwiper;
//# sourceMappingURL=ShareSwiper.js.map