import Taro from '@tarojs/taro';
import React, { useEffect, useRef, useState } from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
import { useBoundingClientRect } from '../../utils/hooks';
const HuiSticky = props => {
    const { offsetTop = 0, children, className = '', style } = props;
    const contentRef = useRef();
    const containerRef = useRef();
    const contentClientRect = useBoundingClientRect(contentRef);
    const [contentFixed, setContentFixed] = useState(false);
    useEffect(() => {
        var _a;
        const height = (contentClientRect === null || contentClientRect === void 0 ? void 0 : contentClientRect.height) || 0;
        const pages = Taro.getCurrentPages();
        const observer = Taro.createIntersectionObserver(pages[pages.length - 1], {
            thresholds: [0.1, 1],
            initialRatio: 1,
        });
        observer
            .relativeToViewport({ top: -offsetTop - (contentFixed ? height : 0) })
            .observe(`#${(_a = containerRef.current) === null || _a === void 0 ? void 0 : _a.uid}`, res => {
            if (res.boundingClientRect.top < offsetTop) {
                setContentFixed(true);
            }
            else {
                setContentFixed(false);
            }
        });
        return () => {
            observer.disconnect();
        };
    }, [contentClientRect, offsetTop, contentFixed]);
    return (React.createElement(View, { className: cx(`hui-sticky-container ${className}`, { fixed: contentFixed }), style: Object.assign({ height: contentFixed ? contentClientRect === null || contentClientRect === void 0 ? void 0 : contentClientRect.height : 'unset' }, style), ref: containerRef },
        React.createElement(View, { className: 'hui-sticky-content', ref: contentRef, style: { top: offsetTop } }, children)));
};
export default HuiSticky;
//# sourceMappingURL=Sticky.js.map