import React from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
const defaultProps = {
    onChange: () => void 0,
};
const HuiSwitch = props => {
    const { disabled = false, checked = false, color, style, className = '', onChange = defaultProps.onChange, } = props;
    return (React.createElement(View, { className: cx(`hui-switch ${className}`, { 'checked': checked, 'disabled': disabled }), style: Object.assign({ backgroundColor: checked ? color : '' }, style), onClick: () => onChange(!checked) },
        React.createElement(View, { className: cx('hui-switch-dot-btn', { 'checked': checked }) })));
};
HuiSwitch.defaultProps = {
    disabled: false,
    checked: false,
    onChange: () => void 0,
};
export default HuiSwitch;
//# sourceMappingURL=Switch.js.map