import React from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
import { pxTransform, addOpacityToHexColor } from '../../utils';
const HuiTag = props => {
    const { size = 'medium', type = 'solid', color = '', radius, children, style, className = '', onClick, } = props;
    const getTagBackground = () => {
        if (type === 'semitransparent') {
            return addOpacityToHexColor(color, 0.2);
        }
        else if (type === 'solid') {
            return color;
        }
        return undefined;
    };
    const getTagBorderColor = () => {
        if (type === 'semitransparent') {
            return 'transparent';
        }
        else if (type === 'solid') {
            return color;
        }
        return addOpacityToHexColor(color, 0.3);
    };
    const tagStyle = Object.assign({ background: getTagBackground(), borderColor: getTagBorderColor(), color: ['hollow', 'semitransparent'].includes(type) ? color : undefined, borderRadius: radius && `${pxTransform(radius)}` }, style);
    const handleClick = (e) => {
        if (onClick) {
            onClick(e);
        }
    };
    return (React.createElement(View, { className: `hui-tag ${size} ${type} ${className}`, style: tagStyle, onClick: handleClick },
        React.createElement(View, { className: cx(`tag-text ${size}-text`) }, children)));
};
export default HuiTag;
//# sourceMappingURL=Tag.js.map