/* eslint-disable @typescript-eslint/no-empty-function */
import React, { useMemo } from 'react';
import { View, Textarea, Text } from '@tarojs/components';
const HuiTextArea = props => {
    const { value, maxLength = 140, placeholder, disabled, focus, adjustPosition, showConfirmBar, disableDefaultPadding, onLineChange = () => { }, onInput = () => { }, onFocus = () => { }, onBlur = () => { }, onConfirm = () => { }, onKeyboardHeightChange = () => { }, upperLimit, height, style, className = '', } = props;
    const valueLen = useMemo(() => (value && value.length || 0), [value]);
    const textareaDom = (React.createElement(Textarea, { disableDefaultPadding: disableDefaultPadding, showConfirmBar: showConfirmBar, adjustPosition: adjustPosition, focus: focus, placeholder: placeholder, disabled: disabled, value: value, maxlength: maxLength, cursorSpacing: 32, placeholderClass: 'placeholder', className: 'text-area', onLineChange: onLineChange, onInput: onInput, onFocus: onFocus, onBlur: onBlur, onConfirm: onConfirm, onKeyboardHeightChange: onKeyboardHeightChange }));
    return (React.createElement(View, { className: `hui-text-area ${className} ${disabled ? 'disabled' : ''}`, style: Object.assign({ height: typeof height === 'string' ? height : `${height}px` }, style) },
        textareaDom,
        React.createElement(View, { className: 'indicator' },
            React.createElement(Text, { className: `current-number ${upperLimit && valueLen > upperLimit ? 'overage' : (valueLen ? '' : 'zero')}` }, valueLen),
            React.createElement(Text, null,
                "/",
                upperLimit || '-'))));
};
export default HuiTextArea;
//# sourceMappingURL=TextArea.js.map