import React from 'react';
import { ITouchEvent, BaseEventOrig } from '@tarojs/components/types/common';
import { ButtonProps } from '@tarojs/components/types/Button';
import { HIconType } from '../Icon/type';
export interface HuiButtonProps {
    /** 按钮宽度 */
    width?: number;
    /** 按钮类型: 主要按钮、次要按钮（幽灵按钮）、文字按钮 */
    type?: 'primary' | 'secondary' | 'text';
    /** 按钮尺寸 */
    size?: 'small' | 'medium' | 'large';
    /** 按钮颜色 */
    color?: string;
    /** 按钮圆角类型 */
    radiusType?: 'default' | 'square' | 'no-radius';
    /** loading效果 */
    loading?: boolean;
    /** 渐变按钮颜色, 仅在type为primary时可用, 优先级大于color */
    gradientColor?: string;
    /** 按钮图标(左侧) */
    prefixIcon?: HIconType;
    /** 按钮图标(右侧) */
    suffixIcon?: HIconType;
    /** 块级元素样式 */
    block?: boolean;
    style?: React.CSSProperties;
    /** 是否禁用 */
    disabled?: boolean;
    /** 按钮辅助文字，仅在large为large时可用 */
    extra?: string;
    className?: string;
    /** 点击事件 */
    onClick?: (e: ITouchEvent) => void;
    /** 微信开放能力 */
    openType?: ButtonProps.OpenType;
    onGetUserInfo?: (e: BaseEventOrig<ButtonProps.onGetUserInfoEventDetail>) => void;
    onGetPhoneNumber?: (e: BaseEventOrig<ButtonProps.onGetPhoneNumberEventDetail>) => void;
    onChooseAvatar?: <T>(e: BaseEventOrig<T>) => void;
    onContact?: (e: BaseEventOrig<ButtonProps.onContactEventDetail>) => void;
    onOpenSetting?: (e: BaseEventOrig<ButtonProps.onOpenSettingEventDetail>) => void;
    children?: React.ReactNode;
}
declare const HuiButton: React.FC<HuiButtonProps>;
export default HuiButton;
