import React from 'react';
import { ViewProps } from '@tarojs/components/types/View';
export interface HuiCheckboxProps extends ViewProps {
    value: string;
    /** 是否禁用 */
    disabled?: boolean;
    /** 是否被选中 */
    checked?: boolean;
    /** 选中状态的颜色 */
    color?: string;
    /** 自定义大小 */
    size?: number;
    style?: React.CSSProperties;
    className?: string;
    children?: React.ReactNode;
}
export interface HuiCheckboxRef {
    toggle: () => void;
}
declare const _default: React.ForwardRefExoticComponent<Pick<HuiCheckboxProps, "key" | "value" | "children" | "style" | "id" | "className" | "hidden" | "animation" | "dangerouslySetInnerHTML" | "onTouchStart" | "onTouchMove" | "onTouchCancel" | "onTouchEnd" | "onClick" | "onLongPress" | "onLongClick" | "onTransitionEnd" | "onAnimationStart" | "onAnimationIteration" | "onAnimationEnd" | "onTouchForceChange" | "size" | "disabled" | "hoverClass" | "hoverStyle" | "hoverStopPropagation" | "hoverStartTime" | "hoverStayTime" | "ariaLabel" | "onTap" | "disableScroll" | "role" | "ariaRole" | "onLongTap" | "onAppear" | "onDisappear" | "onFirstAppear" | "catchMove" | "color" | "checked"> & React.RefAttributes<HuiCheckboxRef>>;
export default _default;
