import React from 'react';
import { ITouchEvent } from '@tarojs/components/types/common';
import { HuiButtonProps } from '../Button/Button';
export interface HuiDefaultPageProps {
    className?: string;
    /** 是否显示缺省页 */
    visible?: boolean;
    /** 缺省页类型： noData | noSearch | failed */
    type?: 'noData' | 'noSearch' | 'failed';
    /** 图标or图片元素 */
    imageIcon?: React.ReactElement;
    /** 主描述文案 */
    description?: React.ReactNode;
    /** 副描述文案 */
    info?: React.ReactNode;
    /** 是否展示按钮 */
    showButton?: boolean;
    /** 按钮的点击事件 */
    onClick?: (e: ITouchEvent) => void;
    /** 按钮上的文案 */
    buttonText?: string;
    /** 按钮属性, 这里声明的属性会覆盖默认属性以及外层的属性 */
    buttonProps?: HuiButtonProps;
    style?: React.CSSProperties;
    children?: React.ReactNode;
}
declare const DefaultPage: React.FC<HuiDefaultPageProps>;
export default DefaultPage;
