import React from 'react';
export interface HuiDialogProps {
    /** 是否显示 */
    visible: boolean;
    /** 顶部图片 */
    image?: string;
    /**
     * @deprecated
     * 是否展示icon区域（已废弃，可直接通过renderIcon prop控制是否展示）
     * */
    showIcon?: boolean;
    /** 自定义弹窗顶部图标内容 */
    renderIcon?: React.ReactElement;
    /** 弹窗标题 */
    title?: React.ReactNode;
    /** 弹窗正文内容 */
    content?: React.ReactNode;
    /** 点击蒙层是否允许关闭 */
    maskClosable?: boolean;
    /** 是否可关闭 */
    closable?: boolean;
    /** 关闭按钮类型 */
    closeType?: 'top' | 'bottom';
    /**
     * @deprecated
     * 是否展示底部按钮区域（已废弃，可直接通过renderFooter prop控制是否展示）
     * */
    showFooter?: boolean;
    /** 自定义footer的内容 */
    renderFooter?: React.ReactNode;
    style?: React.CSSProperties;
    className?: string;
    /** 关闭事件 */
    onClose: () => void;
}
declare const Dialog: React.FC<HuiDialogProps>;
export default Dialog;
