import React from 'react';
import { HIconType } from './type';
import './Icon.scss';
export interface HuiIconProps {
    /** 图标图案 */
    name: HIconType;
    /** 图标颜色 */
    color?: string;
    /** 图标大小 */
    size?: number;
    /**
     * className前缀，用于第三方字体图标库
     * 比如想使用'fa fa-clock' 的图标，则 传入prefixClass='fa' value='clock'
     */
    prefixClass?: string;
    style?: React.CSSProperties;
    className?: string;
    /** 点击事件 */
    onClick?: () => void;
}
declare const HuiIcon: React.FC<HuiIconProps>;
export default HuiIcon;
