import React from 'react';
import { ImageProps } from '@tarojs/components/types/Image';
import { HIconType } from '../Icon/type';
export interface HuiImageProps extends Omit<ImageProps, 'src'> {
    /** 图片地址 */
    src?: string;
    /** 自定义加载占位图片 */
    placeholderImg?: string;
    /** 自定义加载占位图标 */
    placeholderIcon?: HIconType;
    /** 是否开启加载动画，默认false */
    animated?: boolean;
    /** 宽度 */
    width?: number;
    /** 高度 */
    height?: number;
    style?: React.CSSProperties;
    wapperClassName?: string;
}
declare const HuiImage: React.FC<HuiImageProps>;
export default HuiImage;
