import React from 'react';
import { CommonEventFunction, ITouchEvent } from '@tarojs/components/types/common';
import { ViewProps } from '@tarojs/components/types/View';
import { InputProps } from '@tarojs/components/types/Input';
export interface HuiInputProps extends ViewProps {
    /** 字段名字 */
    label?: React.ReactNode;
    /** 输入框类型 */
    type?: 'number' | 'text' | 'idcard' | 'digit';
    /** 占位提示文案 */
    placeholder?: string;
    /** 右侧箭头 */
    arrow?: boolean;
    /** 报错信息 */
    errorMsg?: React.ReactNode;
    /** 是否禁用 */
    disabled?: boolean;
    /** 获取焦点 */
    focus?: boolean;
    /** 键盘弹起时，是否自动上推页面 */
    adjustPosition?: boolean;
    /** 最大输入长度，设置为 -1 的时候不限制最大长度 */
    maxLength?: number;
    /** 默认信息 */
    value?: string;
    /** 是否展示分割线 */
    divider?: boolean;
    /** 是否可点击 */
    onlyClick?: boolean;
    /** 设置键盘右下角按钮的文字 */
    confirmType?: 'send' | 'search' | 'next' | 'go' | 'done';
    unit?: React.ReactNode;
    style?: React.CSSProperties;
    className?: string;
    /** 点击事件 */
    onClick?: (event: ITouchEvent) => void;
    /** onInput事件 */
    onInput?: CommonEventFunction<InputProps.inputEventDetail>;
    /** 输入框失获取焦点时触发 */
    onFocus?: CommonEventFunction<InputProps.inputForceEventDetail>;
    /** 输入框失去焦点时触发 */
    onBlur?: CommonEventFunction<InputProps.inputValueEventDetail>;
    /** 点击完成按钮时触发 */
    onConfirm?: CommonEventFunction<InputProps.inputValueEventDetail>;
    /** 键盘高度发生变化的时候触发此事件 */
    onKeyboardHeightChange?: CommonEventFunction<InputProps.onKeyboardHeightChangeEventDetail>;
}
declare const HuiInput: React.FC<HuiInputProps>;
export default HuiInput;
