import React from 'react';
import { ITouchEvent } from '@tarojs/components/types/common';
export interface HuiNoticeBarProps {
    /** 是否可见，默认可见 */
    visible?: boolean;
    /** 通知类型：基础（默认）、可关闭、可跳转、走马灯 */
    type?: 'default' | 'close' | 'more' | 'marquee';
    /** 自定义颜色 */
    color?: string;
    /** 是否显示喇叭icon */
    hasIcon?: boolean;
    /** 走马灯滚动速度（仅当type为marquee） */
    speed?: number;
    style?: React.CSSProperties;
    className?: string;
    /** 关闭的回调（仅当type为close） */
    onClose?: (e: ITouchEvent) => void;
    /** 可跳转的回调（仅当type为more） */
    onGotoMore?: (e: ITouchEvent) => void;
    children?: string;
}
declare const NoticeBar: React.FC<HuiNoticeBarProps>;
export default NoticeBar;
