import React from 'react';
import { CommonEvent } from '@tarojs/components/types/common';
export interface HuiPickerColumn<T> {
    [key: string]: T;
}
export interface HuiPickerProps {
    className?: string;
    style?: React.CSSProperties;
    visible?: boolean;
    onClose?: (event?: CommonEvent) => void;
    title?: string;
    cancelText?: string;
    cancelStyle?: React.CSSProperties;
    confirmText?: string;
    confirmStyle?: React.CSSProperties;
    /** eg: [
     *        [{text: '第一列选项1'}],
     *        [{text: '第二列选项1'}, {text: '第二列选项2'}]
     *      ]
     * 需要传入的用于渲染的数据列表，每一项需要有text属性用来展示文案用
    */
    columns: HuiPickerColumn<string>[][];
    /** 相应column的默认选中项索引 */
    current?: number[];
    /**
     * @param {*} arg 返回各个column当前选中项的index
     * @param {*} arg2 当前更改的column索引
     * @memberof HuiPickerProps
     */
    onChange?(arg: any, arg2: any): void;
    onConfirm?(arg: any): void;
}
declare const Picker: React.FC<HuiPickerProps>;
export default Picker;
