import { ITouchEvent } from '@tarojs/components';
import React from 'react';
import { ViewProps } from '@tarojs/components/types/View';
import { HuiInputProps } from '../Input';
import './Search.scss';
export interface HuiSearchProps extends ViewProps, Omit<HuiInputProps, 'onInput'> {
    searchText?: string;
    /** 是否显示搜索icon */
    searchIcon?: boolean;
    /** 是否显示清除icon */
    clearIcon?: boolean;
    /** 两种主题 */
    theme?: 'dark' | 'light';
    style?: React.CSSProperties;
    className?: string;
    onClear?: () => void;
    onInput?: (val: string) => void;
    onSearch?: (val: string, e: ITouchEvent) => void;
}
declare const Search: React.FC<HuiSearchProps>;
export default Search;
