import { ViewProps } from '@tarojs/components/types/View';
import React from 'react';
export interface HuiMenuOption {
    /** 选项名 */
    label: string;
    /** 选项值 */
    value: string | number;
}
export interface HuiMenuProps extends ViewProps {
    /** 选项 */
    options: HuiMenuOption[];
    /** 当前选中的值 */
    value: (number | string)[];
    /** 是否支持多选, 默认为false，即单选 */
    multiSelect?: boolean;
    /** 主题色 */
    color?: string;
    /** 选中选项的回调 */
    onChange?(v: (number | string)[]): void;
}
declare const Menu: React.FC<HuiMenuProps>;
export default Menu;
