import React from 'react';
import { ViewProps } from '@tarojs/components/types/View';
export interface HuiTabsProps extends ViewProps {
    /** 当前选中的标签页的index, 从0开始
     * 若tab指定了name属性的情况下，active的值为当前标签的name
     */
    active: number | string;
    /** 是否启动滚动，启动后，部分标签页可能被隐藏 */
    scroll?: boolean;
    /** 是否使用动画切换Tab，使用后，Tab容器的高度将保持不变 */
    animated?: boolean;
    /** 是否使用微笑样式（双行标题） */
    smile?: boolean;
    /** 是否开启阴影，默认开启 */
    shadow?: boolean;
    /** 指示器颜色、微笑样式下高亮标签颜色 */
    indicatorColor?: string;
    /** 是否使用吸顶效果 */
    sticky?: boolean;
    /** 吸顶效果下的offsetTop */
    offsetTop?: number;
    style?: React.CSSProperties;
    className?: string;
    /** 点击标签时触发 */
    onChange?: (i: number | string) => void;
}
declare const HuiTabs: React.FC<HuiTabsProps>;
export default HuiTabs;
