import React from 'react';
import { ITouchEvent } from '@tarojs/components/types/common';
export interface HuiTagProps {
    /** 标签尺寸 */
    size?: 'medium' | 'large';
    /** 标签类型: 实心、空心、半透明, 默认实心 */
    type?: 'solid' | 'hollow' | 'semitransparent';
    /** 标签颜色 */
    color?: string;
    /** 标签圆角 */
    radius?: number;
    style?: React.CSSProperties;
    /** 点击事件 */
    onClick?: (e: ITouchEvent) => void;
    children?: React.ReactNode;
    className?: string;
}
declare const HuiTag: React.FC<HuiTagProps>;
export default HuiTag;
