import React from 'react';
import './Timer.scss';
export interface TimerData {
    days: string;
    hours: string;
    minutes: string;
    seconds: string;
}
export interface HuiTimerProps {
    style?: React.CSSProperties;
    className?: string;
    /** 倒计时总时长，单位毫秒，非负数 */
    time?: number;
    /** 向前计时开始时间 */
    startTime?: string;
    /** 是否显示卡片式样式，默认为文字样式(卡片样式和文字样式) */
    isCard?: boolean;
    /** 是否显示天数, 默认不显示 */
    isShowDay?: boolean;
    /** 是否是倒计时，默认倒计时(向前计时和倒计时) */
    isCountDown?: boolean;
    /** 格式化分割符号 */
    format?: string;
    /** 倒计时结束时触发 */
    onFinished?: () => void;
    /** 倒计时变化时触发 */
    onChange?: (timeData: TimerData) => void;
}
declare const HuiTimer: React.FC<HuiTimerProps>;
export default HuiTimer;
