/// <reference types="node" />
import React from 'react';
import { HIconType } from '../Icon/type';
import { ToastTypeProp } from './constants';
export interface HuiToastProps {
    /** 轻提示内容 */
    title: string;
    /** 是否有遮罩层 */
    mask: boolean;
    /** 轻提示类型： 成功（success）失败（fail）警告（warning）纯文本（text）自定义（custom） */
    type: ToastTypeProp;
    /** 轻提示可见 */
    visible: boolean;
    /** 轻提示持续显示的时间 */
    duration: number;
    /** 轻提示自定义icon */
    icon: HIconType;
}
interface State {
    _visible: boolean;
}
export default class Index extends React.Component<HuiToastProps, State> {
    static defaultProps: {
        duration: number;
        visible: boolean;
        mask: boolean;
        icon: string;
    };
    state: State;
    _timer: NodeJS.Timeout | null;
    close(): void;
    clearTimer(): void;
    makeTimer(duration: number): void;
    componentWillReceiveProps(nextProps: HuiToastProps): void;
    getIconName(type: ToastTypeProp, customIcon: HIconType): HIconType;
    render(): JSX.Element | null;
}
export {};
