/// <reference types="node" />
import React from 'react';
import './Tooltip.scss';
export interface HuiTooltipProps {
    /** 气泡文字 */
    content: string;
    /** 是否显示 */
    visible: boolean;
    /** 是否显示关闭按钮 */
    closable?: boolean;
    /** 包裹传入组件的父元素样式 */
    containerStyle?: React.CSSProperties;
    /** 气泡长方形自定义样式 */
    popStyle?: React.CSSProperties;
    /** 倒计时时长，默认1000ms */
    duration?: number;
    className?: string;
    children?: React.ReactNode;
    /** 关闭提示的方法 */
    onClose: () => void;
    /** 气泡位置，默认top */
    placement?: 'top' | 'topRight' | 'topLeft' | 'bottom' | 'bottomRight' | 'bottomLeft' | 'left' | 'right';
}
export default class Tooltip extends React.Component<HuiTooltipProps> {
    static defaultProps: {
        duration: number;
        visible: boolean;
        placement: string;
    };
    componentWillReceiveProps(nextProps: HuiTooltipProps): void;
    timer: NodeJS.Timeout | null;
    close(): void;
    clearTimer(): void;
    makeTimer(duration: number): void;
    handleClose: () => void;
    restartTimer: () => void;
    render(): JSX.Element;
}
