/**
 * 将错误处理为易于理解的字符串供toast等展示
 *
 */
/**
 * 很多场景下传入的error不一定是严格的error对象，可能是自定义的对象或扩展了的error对象
 */
export interface ErrorLike {
    message: string;
    status: number;
    response?: {
        data: {
            message: string;
            detail: string;
        };
    };
    errMsg: string;
}
/**
 * 从error中提取有效的tip信息
 */
export declare const getErrorTip: (error: ErrorLike) => unknown;
/**
 * 将提取到的错误信息转化为字符串
 */
export declare const tipToString: (tip: unknown) => string;
declare const _default: (error: ErrorLike) => string;
export default _default;
