import { NodesRef } from '@tarojs/taro';
import 'dayjs/plugin/duration';
export declare const pxTransform: (size: number) => string;
export declare const selectorQueryClientRect: (selector: string) => Promise<NodesRef.BoundingClientRectCallbackResult>;
export declare const selectorQueryScrollOffset: (selector: string) => Promise<NodesRef.ScrollOffsetCallbackResult>;
/**
 * 返回带透明度的rgba色值的字符串
 * @param {16进制色值} hexColor
 * @param {透明度} opacity
 */
export declare const addOpacityToHexColor: (hexColor: string, opacity?: number) => string;
/**
 * 返回字符|数字|最大值+
 * @param value
 * @param maxValue 最大值
 */
export declare const formatValue: (value: string | number | undefined, maxValue: number) => string | number;
/**
 * 将时长转换成格式
 * @param d 时长
 * @param format 格式
 */
export declare const parseDurationToTime: (d: number, format: string) => string;
/**
 * 获取格式中的分隔符
 * @param format 格式
 */
export declare const getTimerFormatSeparator: (format?: string) => {
    day: string;
    hour: string;
    minute: string;
    second: string;
};
