import Taro from '@tarojs/taro';
import { useEffect, useState } from 'react';
export const useBoundingClientRect = ref => {
    const [info, setInfo] = useState();
    useEffect(() => {
        // 使用nextTick保证在 onReady之后在执行： https://github.com/NervJS/taro/issues/6501
        Taro.nextTick(() => {
            var _a, _b;
            if (ref.current) {
                const query = Taro.createSelectorQuery();
                if (!ref.current.className) {
                    throw new Error('[useBoundingClientRect] 传入的Taro.TaroElement对象需要有className');
                }
                // eslint-disable-next-line no-unused-expressions
                (_b = query.select(`.${(_a = ref.current) === null || _a === void 0 ? void 0 : _a.className}`)) === null || _b === void 0 ? void 0 : _b.boundingClientRect(rect => {
                    setInfo(rect[0] ? rect[0] : rect);
                });
                query.exec();
            }
        });
    }, [ref]);
    return info;
};
//# sourceMappingURL=hooks.js.map